package com.ruoyi.tc.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Size;

/**
 * @author dong
 * @since 2025/3/18 9:36
 */
@Data
@ApiModel("数据资产")
@TableName(value = "asset_sjzc_cp")
public class AssetSjCpPo {


    @ApiModelProperty("id")
    @TableId(value = "sj_id", type = IdType.AUTO)
    private Long sjId;

    @ApiModelProperty("资产id")
    private Long assetId;

    @ApiModelProperty("任务id")
    private Integer taskId;
    /**
     * 数据资产-数据库名称
     */

    @ApiModelProperty("数据资产-数据库名称")
    private String sjzcSjkmc;
    /**
     * 数据资产-数据库类型
     */


    @ApiModelProperty("数据资产-数据库类型")
    private String sjzcSjklx;
    /**
     * 数据资产-端口
     */

    @ApiModelProperty("数据资产-端口")
    private String sjzcDk;
    /**
     * 数据资产-数据库版本
     */

    @ApiModelProperty("数据资产-数据库版本")
    private String sjzcSjkbb;
    /**
     * 数据资产-数据库所在IP
     */

    @ApiModelProperty("数据资产-数据库所在IP")
    private String sjzcSjkIp;
    /**
     * 数据资产-共享属性
     */

    @ApiModelProperty("数据资产-共享属性")
    private String sjzcGxsx;
    /**
     * 数据资产-开放属性
     */

    @ApiModelProperty("数据资产-开放属性")
    private String sjzcKfsx;
    /**
     * 数据资产-数据领域
     */

    @ApiModelProperty("数据资产-数据领域")
    private String sjzcSjly;
    /**
     * 数据资产-更新周期
     */

    @ApiModelProperty("数据资产-更新周期")
    private String sjzcGxzq;
    /**
     * 数据资产-数据类型
     */


    @ApiModelProperty("数据资产-数据类型")
    private String sjzcSjlx;
    /**
     * 数据资产-数据量
     */
    //@NotBlank

    @ApiModelProperty("数据资产-数据量")
    private Integer sjzcSjl;

    @ApiModelProperty("数据资产-数据量单位")
    private String sjzcSjldw;
    /**
     * 数据资产-是否为涉密数据
     */
    //@NotNull

    @ApiModelProperty("数据资产-是否为涉密数据")
    private String sjzcSmsj;
    /**
     * 数据资产-数据是否出境
     */
    //@NotNull

    @ApiModelProperty("数据资产-数据是否出境")
    private String sjzcCj;
    /**
     * 数据资产-数据分级分类
     */
    //@NotNull

    @ApiModelProperty("数据资产-数据分级分类")
    private String sjzcSjfjfl;
    /**
     * 数据资产-数据重要程度
     */
    //@NotNull

    @ApiModelProperty("数据资产-数据重要程度")
    private String sjzcSjzycd;
    /**
     * 数据资产-数据描述
     */

    @ApiModelProperty("数据资产-数据描述")
    private String sjzcSjms;


    /**
     * 数据资产-是否涉及个人信息
     */

    @ApiModelProperty("数据资产-是否涉及个人信息")
    private String sfsjgrxx;


    /**
     * 数据资产-个人信息数据量
     */

    @ApiModelProperty("数据资产-个人信息数据量")
    private String grxxsjl;


    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;
}
