package com.ruoyi.tc.entity.request;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author dong
 * @since 2025/1/13 16:43
 */
@Data
@Api("资产提交记录")
public class AssetzcTjRequest {

    /**
     * 任务id
     */
    @ApiModelProperty("任务id")
    private Integer taskId;


    /**
     * 资产类型
     */
    @ApiModelProperty("0:web资产，1:小程序资产，2：公众号资产，3：电子邮件资产，4：移动应用程序资产")
    private Integer type;



    /**
     * 资产id
     */
    @ApiModelProperty("资产id")
    private Integer assetId;

}
