package com.ruoyi.tc.service;

import com.ruoyi.tc.entity.AssetLc;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.tc.entity.request.AssetLcRequest;
import com.ruoyi.tc.entity.response.AssetTaskStatusResponse;

import java.util.List;
/**
 * 任务流程(AssetLc)表服务接口
 *
 * @author makejava
 * @since 2024-11-18 14:46:40
 */
public interface AssetLcService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    AssetLc queryById(Integer id);

    /**
     * 分页查询
     *
     * @param assetLc 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    List<AssetLc> queryByPage( AssetLcRequest pageRequest);

    /**
     * 新增数据
     *
     * @param assetLc 实例对象
     * @return 实例对象
     */
    AssetLc insert(AssetLc assetLc);

    /**
     * 修改数据
     *
     * @param assetLc 实例对象
     * @return 实例对象
     */
    AssetLc update(AssetLc assetLc);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

}
