package com.ruoyi.tc.zztbService.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.AssetCurrentJyPo;
import com.ruoyi.tc.entity.request.AssetAuditPageRequest;
import com.ruoyi.tc.entity.zztb.AssetCurrentZztbPo;
import com.ruoyi.tc.mapper.AssetCurrentJyMapper;
import com.ruoyi.tc.mapper.zztb.AssetCurrentZztbMapper;
import com.ruoyi.tc.service.AssetCurrentJyService;
import com.ruoyi.tc.zztbService.AssetCurrentZztbService;
import org.springframework.stereotype.Service;

/**
 * 现有资产复制表(AssetCurrentResponse)表服务实现类
 *
 * @author makejava
 * @since 2024-11-15 10:04:03
 */
@Service("assetCurrentZztbService")
public class AssetCurrentZztbServiceImpl extends ServiceImpl<AssetCurrentZztbMapper, AssetCurrentZztbPo> implements AssetCurrentZztbService {


    /**
     * 分页查询管理端或者单位端审核列表
     *
     * @param as 查询实体
     * @return 所有数据
     */
    @Override
    public Page<AssetCurrentZztbPo> getAuditList(Page<AssetCurrentZztbPo> page, AssetAuditPageRequest as) {
        return baseMapper.getAuditList(page,as);
    }

}

