package com.ruoyi.tc.mapper.zztb;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.tc.entity.po.AssetAppJyPo;
import com.ruoyi.tc.entity.request.AssetAuditPageRequest;
import com.ruoyi.tc.entity.zztb.AssetAppZztbPo;
import org.apache.ibatis.annotations.Param;

/**
 * 资产移动应用程序表(asset_app_cp_zztb)表数据库访问层
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetAppZztbMapper extends BaseMapper<AssetAppZztbPo> {



    /**
     * 分页查询管理端或者单位端审核列表
     *
     * @param as 查询实体
     * @return 所有数据
     */
    Page<AssetAppZztbPo> getAuditList(Page<AssetAppZztbPo> page, @Param("req") AssetAuditPageRequest as);


}

