package com.ruoyi.tc.regular.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 系统等保信息对接实体类
 * @author du
 * @since 2024/12/4 9:30
 */
@Data
public class AssetDbxx {
    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("所属系统ID")
    private String xtid;

    @ApiModelProperty("定级时间")
    private String djsj;

    @ApiModelProperty("等保级别")
    private String dbjb;

    @ApiModelProperty("等保测评备案号")
    private String dbcpbah;

    @ApiModelProperty("等保测评得分")
    private Integer dbcpdf;

    @ApiModelProperty("等保测评时间")
    private String dbcpsj;


    @ApiModelProperty("是否密码测评")
    private String sfmmcp;

    @ApiModelProperty("密码测评时间")
    private String mmcpsj;

    @ApiModelProperty("密码测评级别")
    private String mmcpjb;

    @ApiModelProperty("密码测评编号")
    private String mmcpbh;

    @ApiModelProperty("密评信息-密评得分")
    private Integer mpdf;


    @ApiModelProperty("ICP备案信息-是否备案")
    private String icpsfba;


    @ApiModelProperty("ICP备案信息-ICP备案编号")
    private String icpbabh;

    @ApiModelProperty("公安机关备案信息-是否备案")
    private String sfgaba;

    @ApiModelProperty("公安机关备案信息-备案机关")
    private String bajg;

    @ApiModelProperty("公安机关备案信息-公安机关备案号")
    private String gajgbah;

    @ApiModelProperty("公安机关备案信息-备案日期")
    private String barq;

    @ApiModelProperty("更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatetime;

    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createtime;
}
