package com.ruoyi.tc.zztbService.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.AssetEmailJyPo;
import com.ruoyi.tc.entity.request.AssetAuditPageRequest;
import com.ruoyi.tc.entity.zztb.AssetEmailZztbPo;
import com.ruoyi.tc.mapper.AssetEmailJyMapper;
import com.ruoyi.tc.mapper.zztb.AssetEmailZztbMapper;
import com.ruoyi.tc.service.AssetEmailJyService;
import com.ruoyi.tc.zztbService.AssetEmailZztbService;
import org.springframework.stereotype.Service;

/**
 * 电子邮件资产表(asset_email)表服务实现类
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
@Service("assetEmailZztbService")
public class AssetEmailZztbServiceImpl extends ServiceImpl<AssetEmailZztbMapper, AssetEmailZztbPo> implements AssetEmailZztbService {


    /**
     * 分页查询管理端或者单位端审核列表
     *
     * @param as 查询实体
     * @return 所有数据
     */
    @Override
    public Page<AssetEmailZztbPo> getAuditList(Page<AssetEmailZztbPo> page, AssetAuditPageRequest as) {
        return baseMapper.getAuditList(page,as);
    }
}
